# -*- coding: utf-8 -*-

################################################################
# zopyx.plone.smashdocs
# (C) 2016,  Andreas Jung, www.zopyx.com, Tuebingen, Germany
################################################################


from zope import schema
from zope.interface import implements
from plone.dexterity.content import Container
from plone.supermodel import model

from .i18n import MessageFactory as _


class ISmashFolder(model.Schema):

    group_id = schema.TextLine(
        title=_(u'Smashdocs group id'),
        default=u'default',
        required=True
    )


class SmashFolder(Container):
    implements(ISmashFolder)
